Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.scheduler
Class JobExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ias.scheduler.JobExecutionException

All Implemented Interfaces:
  java.io.Serializable

public final class JobExecutionException
extends java.lang.Exception

This exception is used by the a class implementing the `Executable` interface to identify problems during execution.

See Also:
  Serialized Form

Constructor Summary
`JobExecutionException()` Constructs a new exception with null as its detail message.
`JobExecutionException(java.lang.String message)` Constructs a new exception with the specified detail message.
`JobExecutionException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
`JobExecutionException(java.lang.Throwable cause)` Constructs a new exception with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobExecutionException

    public JobExecutionException()

  Constructs a new exception with null as its detail message. The cause is not initialized.

### JobExecutionException

    public JobExecutionException(java.lang.String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method.

### JobExecutionException

    public JobExecutionException(java.lang.String message,
                                 java.lang.Throwable cause)

  Constructs a new exception with the specified detail message and cause.

Parameters:
  `message` - The detail message which is later retrieved using the getMessage method.
  `cause` - The cause which is saved for the later retrieval by the getCause method.

### JobExecutionException

    public JobExecutionException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause.

Parameters:
  `cause` - The cause which is saved for the later retrieval by the getCause method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Containers for J2EE Job Scheduler Java API Reference 10g Release 3 (10.1.3) B16026-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.